GWT 2.7.0

## com.google.gwt.dom.builder.shared
Class HtmlBuilderImpl

    java.lang.Object
      com.google.gwt.dom.builder.shared.ElementBuilderImpl
          com.google.gwt.dom.builder.shared.HtmlBuilderImpl

     class HtmlBuilderImpl

extends ElementBuilderImpl

Implementation of methods in `ElementBuilderBase` used to render HTML as a string, using innerHtml to generate an element.

Constructor Summary
`HtmlBuilderImpl()`

Method Summary
`SafeHtml` | `asSafeHtml()` Return the HTML as a `SafeHtml` string.
`void` | `attribute(java.lang.String name, int value)`
`void` | `attribute(java.lang.String name, java.lang.String value)`
`protected void` | `doCloseStartTagImpl()` Close the start tag.
`protected void` | `doCloseStyleAttributeImpl()` Close the style attribute.
`protected void` | `doEndStartTagImpl()` Self-close the start tag.
`protected void` | `doEndTagImpl(java.lang.String tagName)` End the specified tag.
`protected Element` | `doFinishImpl()` Return the build element.
`protected void` | `doHtmlImpl(SafeHtml html)` Set the specified html as the inner HTML of the current element.
`protected void` | `doOpenStyleImpl()` Open the style attribute.
`protected void` | `doTextImpl(java.lang.String text)` Set the specified text as the inner text of the current element.
`HtmlAnchorBuilder` | `startAnchor()`
`HtmlAreaBuilder` | `startArea()`
`HtmlAudioBuilder` | `startAudio()`
`HtmlBaseBuilder` | `startBase()`
`HtmlQuoteBuilder` | `startBlockQuote()`
`HtmlBodyBuilder` | `startBody()`
`HtmlBRBuilder` | `startBR()`
`HtmlInputBuilder` | `startButtonInput()`
`HtmlCanvasBuilder` | `startCanvas()`
`HtmlInputBuilder` | `startCheckboxInput()`
`HtmlTableColBuilder` | `startCol()`
`HtmlTableColBuilder` | `startColGroup()`
`HtmlDivBuilder` | `startDiv()`
`HtmlDListBuilder` | `startDList()`
`HtmlFieldSetBuilder` | `startFieldSet()`
`HtmlInputBuilder` | `startFileInput()`
`HtmlFormBuilder` | `startForm()`
`HtmlFrameBuilder` | `startFrame()`
`HtmlFrameSetBuilder` | `startFrameSet()`
`HtmlHeadingBuilder` | `startH1()`
`HtmlHeadingBuilder` | `startH2()`
`HtmlHeadingBuilder` | `startH3()`
`HtmlHeadingBuilder` | `startH4()`
`HtmlHeadingBuilder` | `startH5()`
`HtmlHeadingBuilder` | `startH6()`
`HtmlHeadBuilder` | `startHead()`
`HtmlInputBuilder` | `startHiddenInput()`
`HtmlHRBuilder` | `startHR()`
`HtmlIFrameBuilder` | `startIFrame()`
`HtmlImageBuilder` | `startImage()`
`HtmlInputBuilder` | `startImageInput()`
`HtmlLabelBuilder` | `startLabel()`
`HtmlLegendBuilder` | `startLegend()`
`HtmlLIBuilder` | `startLI()`
`HtmlLinkBuilder` | `startLink()`
`HtmlMapBuilder` | `startMap()`
`HtmlMetaBuilder` | `startMeta()`
`HtmlOListBuilder` | `startOList()`
`HtmlOptGroupBuilder` | `startOptGroup()`
`HtmlOptionBuilder` | `startOption()`
`HtmlParagraphBuilder` | `startParagraph()`
`HtmlParamBuilder` | `startParam()`
`HtmlInputBuilder` | `startPasswordInput()`
`HtmlPreBuilder` | `startPre()`
`HtmlButtonBuilder` | `startPushButton()`
`HtmlQuoteBuilder` | `startQuote()`
`HtmlInputBuilder` | `startRadioInput(java.lang.String name)`
`HtmlButtonBuilder` | `startResetButton()`
`HtmlInputBuilder` | `startResetInput()`
`HtmlScriptBuilder` | `startScript()`
`HtmlSelectBuilder` | `startSelect()`
`HtmlSourceBuilder` | `startSource()`
`HtmlSpanBuilder` | `startSpan()`
`HtmlStyleBuilder` | `startStyle()`
`HtmlButtonBuilder` | `startSubmitButton()`
`HtmlInputBuilder` | `startSubmitInput()`
`HtmlTableBuilder` | `startTable()`
`HtmlTableCaptionBuilder` | `startTableCaption()`
`HtmlTableSectionBuilder` | `startTBody()`
`HtmlTableCellBuilder` | `startTD()`
`HtmlTextAreaBuilder` | `startTextArea()`
`HtmlInputBuilder` | `startTextInput()`
`HtmlTableSectionBuilder` | `startTFoot()`
`HtmlTableCellBuilder` | `startTH()`
`HtmlTableSectionBuilder` | `startTHead()`
`HtmlTitleBuilder` | `startTitle()`
`HtmlTableRowBuilder` | `startTR()`
`HtmlUListBuilder` | `startUList()`
`HtmlVideoBuilder` | `startVideo()`
`StylesBuilder` | `style()` Get the `StylesBuilder` used to add style properties to the current element.
`StylesBuilder` | `styleProperty(SafeStyles style)`
`void` | `trustedAttribute(java.lang.String name, int value)` Add a trusted attribute without escaping the name.
`void` | `trustedAttribute(java.lang.String name, java.lang.String value)` Add a trusted attribute without escaping the name.
`HtmlElementBuilder` | `trustedStart(java.lang.String tagName)`

Methods inherited from class com.google.gwt.dom.builder.shared.ElementBuilderImpl
`assertCanAddAttributeImpl, assertCanAddStylePropertyImpl, assertValidTagName, end, end, endAllTags, endStyle, finish, getDepth, html, lockCurrentElement, onStart, text`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlBuilderImpl

    HtmlBuilderImpl()

Method Detail

### asSafeHtml

    public SafeHtml asSafeHtml()

  Return the HTML as a `SafeHtml` string.

### attribute

    public void attribute(java.lang.String name,
                          int value)

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)

### startAnchor

    public HtmlAnchorBuilder startAnchor()

### startArea

    public HtmlAreaBuilder startArea()

### startAudio

    public HtmlAudioBuilder startAudio()

### startBase

    public HtmlBaseBuilder startBase()

### startBlockQuote

    public HtmlQuoteBuilder startBlockQuote()

### startBody

    public HtmlBodyBuilder startBody()

### startBR

    public HtmlBRBuilder startBR()

### startButtonInput

    public HtmlInputBuilder startButtonInput()

### startCanvas

    public HtmlCanvasBuilder startCanvas()

### startCheckboxInput

    public HtmlInputBuilder startCheckboxInput()

### startCol

    public HtmlTableColBuilder startCol()

### startColGroup

    public HtmlTableColBuilder startColGroup()

### startDiv

    public HtmlDivBuilder startDiv()

### startDList

    public HtmlDListBuilder startDList()

### startFieldSet

    public HtmlFieldSetBuilder startFieldSet()

### startFileInput

    public HtmlInputBuilder startFileInput()

### startForm

    public HtmlFormBuilder startForm()

### startFrame

    public HtmlFrameBuilder startFrame()

### startFrameSet

    public HtmlFrameSetBuilder startFrameSet()

### startH1

    public HtmlHeadingBuilder startH1()

### startH2

    public HtmlHeadingBuilder startH2()

### startH3

    public HtmlHeadingBuilder startH3()

### startH4

    public HtmlHeadingBuilder startH4()

### startH5

    public HtmlHeadingBuilder startH5()

### startH6

    public HtmlHeadingBuilder startH6()

### startHead

    public HtmlHeadBuilder startHead()

### startHiddenInput

    public HtmlInputBuilder startHiddenInput()

### startHR

    public HtmlHRBuilder startHR()

### startIFrame

    public HtmlIFrameBuilder startIFrame()

### startImage

    public HtmlImageBuilder startImage()

### startImageInput

    public HtmlInputBuilder startImageInput()

### startLabel

    public HtmlLabelBuilder startLabel()

### startLegend

    public HtmlLegendBuilder startLegend()

### startLI

    public HtmlLIBuilder startLI()

### startLink

    public HtmlLinkBuilder startLink()

### startMap

    public HtmlMapBuilder startMap()

### startMeta

    public HtmlMetaBuilder startMeta()

### startOList

    public HtmlOListBuilder startOList()

### startOptGroup

    public HtmlOptGroupBuilder startOptGroup()

### startOption

    public HtmlOptionBuilder startOption()

### startParagraph

    public HtmlParagraphBuilder startParagraph()

### startParam

    public HtmlParamBuilder startParam()

### startPasswordInput

    public HtmlInputBuilder startPasswordInput()

### startPre

    public HtmlPreBuilder startPre()

### startPushButton

    public HtmlButtonBuilder startPushButton()

### startQuote

    public HtmlQuoteBuilder startQuote()

### startRadioInput

    public HtmlInputBuilder startRadioInput(java.lang.String name)

### startResetButton

    public HtmlButtonBuilder startResetButton()

### startResetInput

    public HtmlInputBuilder startResetInput()

### startScript

    public HtmlScriptBuilder startScript()

### startSelect

    public HtmlSelectBuilder startSelect()

### startSource

    public HtmlSourceBuilder startSource()

### startSpan

    public HtmlSpanBuilder startSpan()

### startStyle

    public HtmlStyleBuilder startStyle()

### startSubmitButton

    public HtmlButtonBuilder startSubmitButton()

### startSubmitInput

    public HtmlInputBuilder startSubmitInput()

### startTable

    public HtmlTableBuilder startTable()

### startTableCaption

    public HtmlTableCaptionBuilder startTableCaption()

### startTBody

    public HtmlTableSectionBuilder startTBody()

### startTD

    public HtmlTableCellBuilder startTD()

### startTextArea

    public HtmlTextAreaBuilder startTextArea()

### startTextInput

    public HtmlInputBuilder startTextInput()

### startTFoot

    public HtmlTableSectionBuilder startTFoot()

### startTH

    public HtmlTableCellBuilder startTH()

### startTHead

    public HtmlTableSectionBuilder startTHead()

### startTitle

    public HtmlTitleBuilder startTitle()

### startTR

    public HtmlTableRowBuilder startTR()

### startUList

    public HtmlUListBuilder startUList()

### startVideo

    public HtmlVideoBuilder startVideo()

### style

    public StylesBuilder style()

  Description copied from class: `ElementBuilderImpl`
  Get the `StylesBuilder` used to add style properties to the current element.

  Specified by:
    `style` in class `ElementBuilderImpl`
  Returns:
    a `StylesBuilder`

### styleProperty

    public StylesBuilder styleProperty(SafeStyles style)

### trustedAttribute

    public void trustedAttribute(java.lang.String name,
                                 int value)

  Add a trusted attribute without escaping the name.

### trustedAttribute

    public void trustedAttribute(java.lang.String name,
                                 java.lang.String value)

  Add a trusted attribute without escaping the name. The value is still escaped.

### trustedStart

    public HtmlElementBuilder trustedStart(java.lang.String tagName)

### doCloseStartTagImpl

    protected void doCloseStartTagImpl()

  Description copied from class: `ElementBuilderImpl`
  Close the start tag.

  Specified by:
    `doCloseStartTagImpl` in class `ElementBuilderImpl`

### doCloseStyleAttributeImpl

    protected void doCloseStyleAttributeImpl()

  Description copied from class: `ElementBuilderImpl`
  Close the style attribute.

  Specified by:
    `doCloseStyleAttributeImpl` in class `ElementBuilderImpl`

### doEndStartTagImpl

    protected void doEndStartTagImpl()

  Description copied from class: `ElementBuilderImpl`
  Self-close the start tag. This method is called for elements that forbid the end tag.

  Specified by:
    `doEndStartTagImpl` in class `ElementBuilderImpl`

### doEndTagImpl

    protected void doEndTagImpl(java.lang.String tagName)

  Description copied from class: `ElementBuilderImpl`
  End the specified tag.

  Specified by:
    `doEndTagImpl` in class `ElementBuilderImpl`
  Parameters:
    `tagName` - the name of the tag to end

### doFinishImpl

    protected Element doFinishImpl()

  Description copied from class: `ElementBuilderImpl`
  Return the build element.

  Specified by:
    `doFinishImpl` in class `ElementBuilderImpl`
  Returns:
    the element

### doHtmlImpl

    protected void doHtmlImpl(SafeHtml html)

  Description copied from class: `ElementBuilderImpl`
  Set the specified html as the inner HTML of the current element.

  Specified by:
    `doHtmlImpl` in class `ElementBuilderImpl`
  Parameters:
    `html` - the HTML to set

### doOpenStyleImpl

    protected void doOpenStyleImpl()

  Description copied from class: `ElementBuilderImpl`
  Open the style attribute.

  Specified by:
    `doOpenStyleImpl` in class `ElementBuilderImpl`

### doTextImpl

    protected void doTextImpl(java.lang.String text)

  Description copied from class: `ElementBuilderImpl`
  Set the specified text as the inner text of the current element.

  Specified by:
    `doTextImpl` in class `ElementBuilderImpl`
  Parameters:
    `text` - the text to set

GWT 2.7.0